Categories.CategoryFilter (JUnit API)
Keywords: org.junit.experimental.categories.Categories.CategoryFilter class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.junit.experimental.categories
Class Categories.CategoryFilter

    java.lang.Object
      org.junit.runner.manipulation.Filter
          org.junit.experimental.categories.Categories.CategoryFilter

Enclosing class:
  Categories

    public static class Categories.CategoryFilter

extends Filter

Field Summary

Fields inherited from class org.junit.runner.manipulation.Filter
`ALL`

Constructor Summary
`Categories.CategoryFilter(Class<?> includedCategory, Class<?> excludedCategory)`

Method Summary
`String` | `describe()` Returns a textual description of this Filter
`static Categories.CategoryFilter` | `include(Class<?> categoryType)`
`boolean` | `shouldRun(Description description)`

Methods inherited from class org.junit.runner.manipulation.Filter
`apply, matchMethodDescription`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Categories.CategoryFilter

    public Categories.CategoryFilter(Class<?> includedCategory,
                                     Class<?> excludedCategory)

Method Detail

### include

    public static Categories.CategoryFilter include(Class<?> categoryType)

### describe

    public String describe()

  Description copied from class: `Filter`
  Returns a textual description of this Filter

  Specified by:
    `describe` in class `Filter`
  Returns:
    a textual description of this Filter

### shouldRun

    public boolean shouldRun(Description description)

  Specified by:
    `shouldRun` in class `Filter`
  Parameters:
    `description` - the description of the test to be run
  Returns:
    `true` if the test should be run

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD